org.modeshape.jcr.query

## Class JcrSqlQueryResult

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult
  - - org.modeshape.jcr.query.JcrSqlQueryResult

- All Implemented Interfaces:
    QueryResult

      public class JcrSqlQueryResult
      extends JcrQueryResult

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.query.JcrQueryResult

      `JcrQueryResult.MultiSelectorQueryResultRow, JcrQueryResult.QueryResultNodeIterator, JcrQueryResult.QueryResultRowIterator, JcrQueryResult.SingleSelectorQueryResultRow, JcrQueryResult.SingleSelectorQueryResultRowIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JCR_PATH_COLUMN_NAME`
    `static String` | `JCR_PATH_COLUMN_TYPE`
    `static String` | `JCR_SCORE_COLUMN_NAME`
    `static String` | `JCR_SCORE_COLUMN_TYPE`

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult

      `context, JCR_NAME_COLUMN_NAME, MODE_DEPTH_COLUMN_NAME, MODE_LOCALNAME_COLUMN_NAME, PSEUDO_COLUMNS, queryStatement, results, schemata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcrSqlQueryResult(JcrQueryContext context, String query, QueryResults graphResults, Schemata schemata)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getColumnNameList()`
    `List<String>` | `getColumnTypeList()`
    `RowIterator` | `getRows()`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult

      `getColumnNames, getColumnTypes, getNodes, getPlan, getSelectorNames, getWarnings, results, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JCR_SCORE_COLUMN_NAME

          public static final String JCR_SCORE_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### JCR_PATH_COLUMN_NAME

          public static final String JCR_PATH_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### JCR_SCORE_COLUMN_TYPE

          public static final String JCR_SCORE_COLUMN_TYPE

    - #### JCR_PATH_COLUMN_TYPE

          public static final String JCR_PATH_COLUMN_TYPE

  - ### Constructor Detail

    - #### JcrSqlQueryResult

          public JcrSqlQueryResult(JcrQueryContext context,
                           String query,
                           QueryResults graphResults,
                           Schemata schemata)

  - ### Method Detail

    - #### getColumnNameList

          public List<String> getColumnNameList()

      Overrides:
        `getColumnNameList` in class `JcrQueryResult`

    - #### getColumnTypeList

          public List<String> getColumnTypeList()

      Overrides:
        `getColumnTypeList` in class `JcrQueryResult`

    - #### getRows

          public RowIterator getRows()

      Specified by:
        `getRows` in interface `QueryResult`
      Overrides:
        `getRows` in class `JcrQueryResult`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.